Subject: linux-next: build warning after merge of the ext4 tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 20 May 2022 11:03:13 +1000

Hi all,

After merging the ext4 tree, today's linux-next build (powerpc
ppc64_defconfig) produced this warning:

fs/ext4/super.c: In function 'ext4_check_test_dummy_encryption':
fs/ext4/super.c:2677:36: warning: unused variable 'sbi' [-Wunused-variable]
 2677 |         const struct ext4_sb_info *sbi = EXT4_SB(sb);
      |                                    ^~~

Introduced by commit

  0df27ddf69f3 ("ext4: only allow test_dummy_encryption when supported")

-- 
Cheers,
Stephen Rothwell